Bug 1271993 - CVE-2015-0856 sddm: Access to the KDE crash handler [fedora-all]
CVE-2015-0856 sddm: Access to the KDE crash handler [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sddm (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
AcceptedFreezeException
: Security, SecurityTracking
Depends On:
Blocks: F23FinalFreezeException CVE-2015-0856
  Show dependency treegraph
 
Reported: 2015-10-15 04:54 EDT by Adam Mariš
Modified: 2015-11-12 20:53 EST (History)
8 users (show)

See Also:
Fixed In Version: sddm-0.12.0-5.fc23 sddm-0.12.0-5.fc22
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 12:09:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-10-15 04:54:49 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2015-10-15 04:54:56 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1271992,1271993

# Description of your update
notes=Security fix for CVE-2015-0856

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1271992,1271993
Comment 2 Fedora Update System 2015-10-15 11:02:05 EDT
sddm-0.12.0-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b15b90eeaa
Comment 3 Fedora Update System 2015-10-15 11:04:40 EDT
sddm-0.12.0-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9f996ea146
Comment 4 Fedora Update System 2015-10-15 16:53:54 EDT
sddm-0.12.0-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sddm'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b15b90eeaa
Comment 5 Fedora Update System 2015-10-16 04:51:10 EDT
sddm-0.12.0-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sddm'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9f996ea146
Comment 6 Fedora Blocker Bugs Application 2015-10-23 08:03:52 EDT
Proposed as a Freeze Exception for 23-final by Fedora user rdieter using the blocker tracking app because:

 Nice to ship kde spin free of CVE's
Comment 7 Petr Schindler 2015-10-26 13:35:22 EDT
Discussed at 2015-10-26 blocker review meeting: [1]. 

This bug was accepted as Freeze Exception: It would be good to ensure our spins don't have any known, active CVEs in them. Accepted as a Freeze Exception.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2015-10-26/f23-blocker-review.2015-10-26-16.00.html
Comment 8 Fedora Update System 2015-10-31 12:09:31 EDT
sddm-0.12.0-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-11-12 20:53:36 EST
sddm-0.12.0-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.